Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs
Class XMLSchemaValidator.ValueStoreBase

    java.lang.Object
      |
      +--org.apache.xerces.impl.xs.XMLSchemaValidator.ValueStoreBase

All Implemented Interfaces:
  ValueStore

Direct Known Subclasses:
  XMLSchemaValidator.KeyRefValueStore, XMLSchemaValidator.KeyValueStore, XMLSchemaValidator.UniqueValueStore

Enclosing class:
  XMLSchemaValidator

protected abstract class XMLSchemaValidator.ValueStoreBase
extends java.lang.Object
implements ValueStore

Value store implementation base class. There are specific subclasses for handling unique, key, and keyref.

Author:
  Andy Clark, IBM

Field Summary
`protected IdentityConstraint` | `fIdentityConstraint` Identity constraint.
`protected org.apache.xerces.impl.xs.XMLSchemaValidator.OrderedHashtable` | `fValues` Current data values.
`protected int` | `fValuesCount` Current data value count.
`protected java.util.Vector` | `fValueTuples` Data value tuples.
`protected IDValue` | `NOT_AN_IDVALUE` Not a value (Unicode: #FFFF).

Constructor Summary
`protected` | `XMLSchemaValidator.ValueStoreBase(IdentityConstraint identityConstraint)` Constructs a value store for the specified identity constraint.

Method Summary
`void` | `addValue(Field field, IDValue value)` Adds the specified value to the value store.
`void` | `append(XMLSchemaValidator.ValueStoreBase newVal)`
`void` | `clear()`
`boolean` | `contains(org.apache.xerces.impl.xs.XMLSchemaValidator.OrderedHashtable tuple)` Returns true if this value store contains the specified values tuple.
`protected void` | `duplicateValue(org.apache.xerces.impl.xs.XMLSchemaValidator.OrderedHashtable tuple)` Called when a duplicate value is added.
`void` | `endDocument()` Signals the end of the document.
`void` | `endDocumentFragment()`
`void` | `endValueScope()` Ends scope for value store.
`void` | `reportError(java.lang.String key, java.lang.Object[] args)` Since the valueStore will have access to an error reporter, this allows it to be called appropriately.
`void` | `startValueScope()` Start scope for value store.
`java.lang.String` | `toString()` Returns a string representation of this object.
`protected java.lang.String` | `toString(org.apache.xerces.impl.xs.XMLSchemaValidator.OrderedHashtable tuple)` Returns a string of the specified values.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NOT_AN_IDVALUE

    protected IDValue NOT_AN_IDVALUE

  Not a value (Unicode: #FFFF).

### fIdentityConstraint

    protected IdentityConstraint fIdentityConstraint

  Identity constraint.

### fValues

    protected final org.apache.xerces.impl.xs.XMLSchemaValidator.OrderedHashtable fValues

  Current data values.

### fValuesCount

    protected int fValuesCount

  Current data value count.

### fValueTuples

    protected final java.util.Vector fValueTuples

  Data value tuples.

Constructor Detail

### XMLSchemaValidator.ValueStoreBase

    protected XMLSchemaValidator.ValueStoreBase(IdentityConstraint identityConstraint)

  Constructs a value store for the specified identity constraint.

Method Detail

### clear

    public void clear()

### append

    public void append(XMLSchemaValidator.ValueStoreBase newVal)

### startValueScope

    public void startValueScope()
                         throws org.apache.xerces.xni.XNIException

  Start scope for value store.

### endValueScope

    public void endValueScope()
                       throws org.apache.xerces.xni.XNIException

  Ends scope for value store.

### endDocumentFragment

    public void endDocumentFragment()
                             throws org.apache.xerces.xni.XNIException

### endDocument

    public void endDocument()
                     throws org.apache.xerces.xni.XNIException

  Signals the end of the document. This is where the specific instances of value stores can verify the integrity of the identity constraints.

### reportError

    public void reportError(java.lang.String key,
                            java.lang.Object[] args)

  Description copied from interface: `ValueStore`
  Since the valueStore will have access to an error reporter, this allows it to be called appropriately.
  Specified by:
    `reportError` in interface `ValueStore`
  Following copied from interface: `org.apache.xerces.impl.xs.identity.ValueStore`
  Parameters:
    `key` - the key of the localized error message
    `args` - the list of arguments for substitution.

### addValue

    public void addValue(Field field,
                         IDValue value)

  Adds the specified value to the value store.
  Specified by:
    `addValue` in interface `ValueStore`
  Parameters:
    `value` - The value to add.
    `field` - The field associated to the value. This reference is used to ensure that each field only adds a value once within a selection scope.

### contains

    public boolean contains(org.apache.xerces.impl.xs.XMLSchemaValidator.OrderedHashtable tuple)

  Returns true if this value store contains the specified values tuple.

### duplicateValue

    protected void duplicateValue(org.apache.xerces.impl.xs.XMLSchemaValidator.OrderedHashtable tuple)
                           throws org.apache.xerces.xni.XNIException

  Called when a duplicate value is added. Subclasses should override this method to perform error checking.
  Parameters:
    `tuple` - The duplicate value tuple.

### toString

    protected java.lang.String toString(org.apache.xerces.impl.xs.XMLSchemaValidator.OrderedHashtable tuple)

  Returns a string of the specified values.

### toString

    public java.lang.String toString()

  Returns a string representation of this object.
  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.